/**
 * jQuery Video Embedder
 * by Zawntech
 */
(function ($) {
    var urlParser = (function () {
        function urlParser() {
        }
        urlParser.youtube = function (input) {
            var ID = '', url;
            url = input.replace(/(>|<)/gi, '').split(/(vi\/|v=|\/v\/|youtu\.be\/|\/embed\/)/);
            if (url[2] !== undefined) {
                ID = url[2].split(/[^0-9a-z_\-]/i);
                ID = ID[0];
            }
            else {
                ID = url;
            }
            return ID;
        };
        return urlParser;
    }());
    var embedder = (function () {
        function embedder() {
        }
        embedder.youtube = function (id) {
            return "<div class=\"embed-container\"><iframe src=\"http://www.youtube.com/embed/" + id + "\" frameborder=\"0\" allowfullscreen></iframe></div>";
        };
        return embedder;
    }());
    var jQueryVideoEmbedder = (function () {
        function jQueryVideoEmbedder(options) {
            this.defaults = {};
            var settings = $.extend(this.defaults, options), url = $(this).data().videoUrl, network = jQueryVideoEmbedder.determineNetwork(url), code = urlParser[network](url);
            this.html(embedder[network](code));
            return this;
        }
        jQueryVideoEmbedder.printCss = function () {
        };
        jQueryVideoEmbedder.determineNetwork = function (input) {
            if ('' !== urlParser.youtube(input)) {
                return 'youtube';
            }
            return false;
        };
        return jQueryVideoEmbedder;
    }());
    /** Bind the plugin. */
    $.fn.videoEmbedder = jQueryVideoEmbedder;
    // Loop through all div elements.
    $(document).ready(function () {
        $('head').append("<style>.embed-container { position: relative; padding-bottom: 56.25%; height: 0; overflow: hidden; max-width: 100%; } .embed-container iframe, .embed-container object, .embed-container embed { position: absolute; top: 0; left: 0; width: 100%; height: 100%; }</style>");
        $('div').each(function (i, el) {
            // Does this element have a video-url binding?
            if ('undefined' !== typeof ($(el).data().videoUrl)) {
                $(el).videoEmbedder();
            }
        });
    });
})(jQuery);
//# sourceMappingURL=jquery-video-embedder.js.map